<div ng-controller="Tab3Ctrl">
	<div class="row">
		<div class="col-md-4">
			<input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Sub Opción">
		</div>
	</div>

	<div class="loading-container" ng-if="flag">
        <div class="loading"></div>
        <div id="loading-text">Cargando</div>
    </div>
	<div class="row" ng-if="!flag">
		<div class="col-md-12">
			<br>
			<div class="table-responsive">
				<table class="table table-hover">
					<thead>
						<tr>
							<th>Sub Opción</th>
							<th class="text-center">Ícono</th>
							<th class="text-center">Url</th>
							<th class="text-center">Operaciones</th>
						</tr>
					</thead>
					<tbody>
						<tr dir-paginate="sub in subopciones |filter: buscar | itemsPerPage: 10" pagination-id="sub.id">
							<td>{{sub.nombre}}</td>
							<td class="text-center"><i class="fa fa-{{sub.icono}}"></i></td>
							<td>{{sub.url}}</td>
							<td width="150px" class="text-center">
								<button class="btn btn-info btn-xs text-center" ng-click="load(sub);openModalSave($event)" data-options="splash-2 splash-ef-14"><i class="fa fa-edit"></i>Editar</button>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
			<div class="pull-right">
				<dir-pagination-controls pagination-id="sub.id"></dir-pagination-controls>
			</div>
		</div>
	</div>
	

	<!-- <div class="modal fade" id="modal_subopcion">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-body">
					<form>
						<legend class="text-center">Editar Subopción</legend>
					
						<div class="form-group">
							<label for="">Subopción</label>
							<input type="text" class="form-control" ng-model="obj.nombre" placeholder="Subopción" ng-focus="true">
						</div>

						<div class="form-group">
							<label for="">Icono</label>
							<input type="text" class="form-control" ng-model="obj.icono" placeholder="Subopción">
						</div>

						<div class="form-group">
							<label for="">Url</label>
							<p class="form-control" ng-bind="obj.url"></p>
							<span>*Campo url desabilitado de edición</span>
						</div>

						<div class="text-center">
							<button type="submit" class="btn btn-success btn-lg" ng-click="edit()" data-dismiss="modal"><span ng-show="flagCrud">Guardar</span><span ng-hide="flagCrud">Editar</span></button>
							<button type="button" class="btn btn-default btn-lg" data-dismiss="modal">Cancelar</button>
						</div>	
						
					</form>
				</div>
			</div>
		</div>
	</div> -->
	<script type="text/ng-template" id="modal_subopcion.html">
        <!-- <div class="modal-header">
            <h3 class="modal-title custom-font">I'm a modal!</h3>
        </div> -->
        <div class="modal-body">
			<form>
				<legend class="text-center"><span ng-show="obj.crud">Crear</span><span ng-hide="obj.crud">Actualizar datos de </span> Subopción</legend>
				
				<div class="form-group">
					<label for="">Sub Opción</label>
					<input type="text" class="form-control" ng-model="obj.nombre" placeholder="Sub Opción" ng-focus="true">
				</div>

				<div class="form-group">
					<label for="">Ícono</label>
					<input type="text" class="form-control" ng-model="obj.icono" placeholder="ícono">
				</div>

				<div class="form-group">
					<label for="">Url</label>
					<p class="form-control" ng-bind="obj.url"></p>
					<span>*Campo url desabilitado de edición</span>
				</div>

				<div class="text-center">
	                <button type="button" class="btn btn-primary" ng-click="ok()">
	                <span ng-if="obj.crud"><i class="fa fa-save"></i> Guardar</span><span ng-if="!obj.crud"><i class="fa fa-refresh"></i> Actualizar</span></button>
	                <button type="button" class="btn btn-default" ng-click="cancel()"> <i class="fa fa-close"></i> Cancelar</button>
	            </div>	
				
			</form>
		</div>
    </script>
</div>